# Linux Kernel Module Cheat

##### 14.2.2.2. QEMU graphic mode arm terminal implementation

`arm` and `aarch64` rely on the QEMU CLI option:

    -device virtio-gpu-pci

and the kernel config options:

    CONFIG_DRM=y
    CONFIG_DRM_VIRTIO_GPU=y

Unlike x86, `arm` and `aarch64` don’t have a display device attached by default, thus the need for `virtio-gpu-pci`.

See also https://wiki.qemu.org/Documentation/Platforms/ARM (recently edited and corrected by yours truly…​ :-)).